Get service health
curl --request GET \
--url https://testnet.edel-api.xyz/healthimport requests
url = "https://testnet.edel-api.xyz/health"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://testnet.edel-api.xyz/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"service": "<string>",
"status": "starting",
"degradedState": "none",
"journalSequence": 1,
"runtimePolicyVersion": "<string>",
"sourceDigest": "<string>"
}{
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}{
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}{
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}{
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}System
Get service health
Returns the API service liveness state without making financial-state claims.
Method and path: GET /health
Authentication: none.
Request schema: none.
Response schema: HealthPayload.
Error envelope: ExternalRestError (external-rest-error/v1).
GET
/
health
Get service health
Response
Success
Minimum string length:
1Available options:
starting, ready, degraded, unavailable Available options:
none, warmup, paused, draining_to_journal, runtime_policy_unavailable, database_unavailable, journal_unavailable, projection_group_not_owned, projection_stale, replica_lagging, projector_backfilling, market_data_unavailable, canton_unavailable, signer_unavailable, reconciliation_blocked, kill_switch_active, authority_unreachable, unknown_command_outcome, action_requires_approval, dry_run_expired, unsafe_action_blocked Required range:
x >= 0Minimum string length:
1Minimum string length:
1